# Custom Working Directory (cwd)

If using with a custom build process, the following config would process strings in the `/dist` subdirectory and save the POT file to `/dist/languages/plugin-slug.pot`.

The `report-msgid-bugs-to` and `language-team` POT headers will also be replaced with custom values in the `processPot` callback.

```js
grunt.initConfig({
    makepot: {
        target: {
            options: {
                cwd: 'dist'
                domainPath: '/languages',
                mainFile: 'plugin-slug.php',
                potFilename: 'plugin-slug.pot',
                processPot: function( pot, options ) {
                    pot.headers['report-msgid-bugs-to'] = 'http://example.com/issues';
                    pot.headers['language-team'] = 'Team Name <team@example.com>';
                    return pot;
                },
                type: 'wp-plugin'
            }
        }
    }
});
```
